commit:     0dc43381d82ca2b260f30f2b2405eb6082b1786e
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  6 07:44:50 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Aug  6 07:44:50 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0dc43381

x11-libs/gtk+: Version bump

Package-Manager: portage-2.3.0

 x11-libs/gtk+/Manifest           |   1 +
 x11-libs/gtk+/gtk+-3.20.8.ebuild | 232 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 233 insertions(+)

diff --git a/x11-libs/gtk+/Manifest b/x11-libs/gtk+/Manifest
index 5601f14..a0e628f 100644
--- a/x11-libs/gtk+/Manifest
+++ b/x11-libs/gtk+/Manifest
@@ -7,3 +7,4 @@ DIST gtk+-3.16.7.tar.xz 18294656 SHA256 
19689d14de54d182fad538153dbff6d41f53841f
 DIST gtk+-3.18.7.tar.xz 16815772 SHA256 
a76e1cb0ac45ce5c2734f6778f2731a5c6a23d1ff6bd4db357774f014ee68820 SHA512 
7cb6f699d4c2d78d15f52d4bf02871ad87106550515232c8f1045e01a3b737e64ffdfe73eaedcba077862a5c81a8cae983789c3d8882aee9502850ddc644fe7f
 WHIRLPOOL 
635030ec177abd4cb1dbf5007c9eeed5bcceefb1730da3ca33ed2f730e602303ec236b8e6fb3e0a3322824a1e8bca951c267fc9239eff89c42fa59c5591da2e9
 DIST gtk+-3.18.9.tar.xz 16800896 SHA256 
783d7f8b00f9b4224cc94d7da885a67598e711c2d6d79c9c873c6b203e83acbd SHA512 
348ff28fe2674ac50653cdd6909f028dee823bbaac786b21163f1896cac7b2ea1dbdc4ab54453402ac5b715317e42d6fe677fd0247364397a13bcb8757ab720c
 WHIRLPOOL 
f9e03ab29c15a130894524a0b270448990e756285e4af8e88de82c19cbece325e2532a06e091bff1e699374fc20c6b692ce7387576697378624989f55c0fa635
 DIST gtk+-3.20.6.tar.xz 17190912 SHA256 
3f8016563a96b1cfef4ac9e795647f6316deb2978ff939b19e4e4f8f936fa4b2 SHA512 
597d25ec00f83c6ac77784f303458fad03d8ad017a53ee59e067fda61fa79fe6f34e46391f45844df7c4bbb2c8fa032b32f6d1c8f2f324c99681069f4d6d9be4
 WHIRLPOOL 
d738acf0aebf5a7a4e6b0636a10787eb7bbf806b62489d1e7f7ac29a86004541a487a7213cf13cb5de579c386936599606f4a3fb25f4e646da89bd3a945ac4c4
+DIST gtk+-3.20.8.tar.xz 17199148 SHA256 
9841bd9b4d23c045c474b10fdde9da958af904b63783701e796391d55d4396f3 SHA512 
9f5d29dc0ec06ce28f8b45da2e39e1d4e50cdd6b98bd0355b62c62a76aa868b596e113d68d99875b3ac18dc07d08d3fa4d6f8d3b69b61fdb3de0b244f5bb0cb5
 WHIRLPOOL 
9e7b5ccdd8a7dc6a2f455675075bf2dbaa4523926a57a61716ca71509d47c86e11e55c3a12a1e2dcd999fddbec7a87d8c03d4c4720b2af1a99ec19237597e7d1

diff --git a/x11-libs/gtk+/gtk+-3.20.8.ebuild b/x11-libs/gtk+/gtk+-3.20.8.ebuild
new file mode 100644
index 0000000..0805e96
--- /dev/null
+++ b/x11-libs/gtk+/gtk+-3.20.8.ebuild
@@ -0,0 +1,232 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils flag-o-matic gnome2 multilib virtualx multilib-minimal
+
+DESCRIPTION="Gimp ToolKit +"
+HOMEPAGE="http://www.gtk.org/";
+
+LICENSE="LGPL-2+"
+SLOT="3"
+IUSE="aqua broadway cloudprint colord cups examples +introspection test 
vim-syntax wayland X xinerama"
+REQUIRED_USE="
+       || ( aqua wayland X )
+       xinerama? ( X )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+
+# FIXME: introspection data is built against system installation of gtk+:3,
+# bug #????
+# NOTE: cairo[svg] dep is due to bug 291283 (not patched to avoid eautoreconf)
+COMMON_DEPEND="
+       >=dev-libs/atk-2.15[introspection?,${MULTILIB_USEDEP}]
+       >=dev-libs/glib-2.45.8:2[${MULTILIB_USEDEP}]
+       media-libs/fontconfig[${MULTILIB_USEDEP}]
+       >=media-libs/libepoxy-1.0[${MULTILIB_USEDEP}]
+       >=x11-libs/cairo-1.14[aqua?,glib,svg,X?,${MULTILIB_USEDEP}]
+       >=x11-libs/gdk-pixbuf-2.30:2[introspection?,X?,${MULTILIB_USEDEP}]
+       >=x11-libs/pango-1.37.3[introspection?,${MULTILIB_USEDEP}]
+       x11-misc/shared-mime-info
+
+       cloudprint? (
+               >=net-libs/rest-0.7[${MULTILIB_USEDEP}]
+               >=dev-libs/json-glib-1.0[${MULTILIB_USEDEP}] )
+       colord? ( >=x11-misc/colord-0.1.9:0=[${MULTILIB_USEDEP}] )
+       cups? ( >=net-print/cups-1.2[${MULTILIB_USEDEP}] )
+       introspection? ( >=dev-libs/gobject-introspection-1.39:= )
+       wayland? (
+               >=dev-libs/wayland-1.9.91[${MULTILIB_USEDEP}]
+               >=dev-libs/wayland-protocols-1.0
+               media-libs/mesa[wayland,${MULTILIB_USEDEP}]
+               >=x11-libs/libxkbcommon-0.2[${MULTILIB_USEDEP}]
+       )
+       X? (
+               >=app-accessibility/at-spi2-atk-2.5.3[${MULTILIB_USEDEP}]
+               x11-libs/libXrender[${MULTILIB_USEDEP}]
+               x11-libs/libX11[${MULTILIB_USEDEP}]
+               >=x11-libs/libXi-1.3[${MULTILIB_USEDEP}]
+               x11-libs/libXext[${MULTILIB_USEDEP}]
+               >=x11-libs/libXrandr-1.5[${MULTILIB_USEDEP}]
+               x11-libs/libXcursor[${MULTILIB_USEDEP}]
+               x11-libs/libXfixes[${MULTILIB_USEDEP}]
+               x11-libs/libXcomposite[${MULTILIB_USEDEP}]
+               x11-libs/libXdamage[${MULTILIB_USEDEP}]
+               xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
+       )
+"
+# gtk-doc is also needed when running eautoreconf, bug #589192
+DEPEND="${COMMON_DEPEND}
+       app-text/docbook-xsl-stylesheets
+       app-text/docbook-xml-dtd:4.1.2
+       dev-libs/libxslt
+       dev-libs/gobject-introspection-common
+       >=dev-util/gdbus-codegen-2.38.2
+       >=dev-util/gtk-doc-am-1.20
+       >=dev-util/gtk-doc-1.20
+       >=sys-devel/gettext-0.18.3[${MULTILIB_USEDEP}]
+       virtual/pkgconfig[${MULTILIB_USEDEP}]
+       X? (
+               x11-proto/xextproto[${MULTILIB_USEDEP}]
+               x11-proto/xproto[${MULTILIB_USEDEP}]
+               x11-proto/inputproto[${MULTILIB_USEDEP}]
+               x11-proto/damageproto[${MULTILIB_USEDEP}]
+               xinerama? ( x11-proto/xineramaproto[${MULTILIB_USEDEP}] )
+       )
+       test? (
+               media-fonts/font-misc-misc
+               media-fonts/font-cursor-misc )
+"
+# gtk+-3.2.2 breaks Alt key handling in <=x11-libs/vte-0.30.1:2.90
+# gtk+-3.3.18 breaks scrolling in <=x11-libs/vte-0.31.0:2.90
+# >=xorg-server-1.11.4 needed for
+#  https://mail.gnome.org/archives/desktop-devel-list/2012-March/msg00024.html
+RDEPEND="${COMMON_DEPEND}
+       >=dev-util/gtk-update-icon-cache-3
+       !<gnome-base/gail-1000
+       !<x11-libs/vte-0.31.0:2.90
+       >=x11-themes/adwaita-icon-theme-3.14
+       X? ( !<x11-base/xorg-server-1.11.4 )
+"
+# librsvg for svg icons (PDEPEND to avoid circular dep), bug #547710
+PDEPEND="
+       gnome-base/librsvg[${MULTILIB_USEDEP}]
+       vim-syntax? ( app-vim/gtk-syntax )
+"
+
+MULTILIB_CHOST_TOOLS=(
+       /usr/bin/gtk-query-immodules-3.0
+)
+
+strip_builddir() {
+       local rule=$1
+       shift
+       local directory=$1
+       shift
+       sed -e "s/^\(${rule} =.*\)${directory}\(.*\)$/\1\2/" -i $@ \
+               || die "Could not strip director ${directory} from build."
+}
+
+src_prepare() {
+       # -O3 and company cause random crashes in applications. Bug #133469
+       replace-flags -O3 -O2
+       strip-flags
+
+       if ! use test ; then
+               # don't waste time building tests
+               strip_builddir SRC_SUBDIRS testsuite Makefile.{am,in}
+
+               # the tests dir needs to be build now because since commit
+               # 7ff3c6df80185e165e3bf6aa31bd014d1f8bf224 tests/gtkgears.o 
needs to be there
+               # strip_builddir SRC_SUBDIRS tests Makefile.{am,in}
+       fi
+
+       if ! use examples; then
+               # don't waste time building demos
+               strip_builddir SRC_SUBDIRS demos Makefile.{am,in}
+               strip_builddir SRC_SUBDIRS examples Makefile.{am,in}
+       fi
+
+       # gtk-update-icon-cache is installed by dev-util/gtk-update-icon-cache
+       eapply "${FILESDIR}"/${PN}-3.16.2-remove_update-icon-cache.patch
+
+       eautoreconf
+       gnome2_src_prepare
+}
+
+multilib_src_configure() {
+       # need libdir here to avoid a double slash in a path that libtool 
doesn't
+       # grok so well during install (// between $EPREFIX and usr ...)
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure \
+               $(use_enable aqua quartz-backend) \
+               $(use_enable broadway broadway-backend) \
+               $(use_enable cloudprint) \
+               $(use_enable colord) \
+               $(use_enable cups cups auto) \
+               $(multilib_native_use_enable introspection) \
+               $(use_enable wayland wayland-backend) \
+               $(use_enable X x11-backend) \
+               $(use_enable X xcomposite) \
+               $(use_enable X xdamage) \
+               $(use_enable X xfixes) \
+               $(use_enable X xkb) \
+               $(use_enable X xrandr) \
+               $(use_enable xinerama) \
+               --disable-papi \
+               --disable-mir-backend \
+               --enable-man \
+               --with-xml-catalog="${EPREFIX}"/etc/xml/catalog \
+               --libdir="${EPREFIX}"/usr/$(get_libdir) \
+               CUPS_CONFIG="${EPREFIX}/usr/bin/${CHOST}-cups-config"
+
+       # work-around gtk-doc out-of-source brokedness
+       if multilib_is_native_abi; then
+               local d
+               for d in gdk gtk libgail-util; do
+                       ln -s "${S}"/docs/reference/${d}/html 
docs/reference/${d}/html || die
+               done
+       fi
+}
+
+multilib_src_test() {
+       "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/gtk" || die
+       GSETTINGS_SCHEMA_DIR="${S}/gtk" virtx emake check
+}
+
+multilib_src_install() {
+       gnome2_src_install
+}
+
+multilib_src_install_all() {
+       insinto /etc/gtk-3.0
+       doins "${FILESDIR}"/settings.ini
+       einstalldocs
+}
+
+pkg_preinst() {
+       gnome2_pkg_preinst
+
+       multilib_pkg_preinst() {
+               # Make immodules.cache belongs to gtk+ alone
+               local cache="usr/$(get_libdir)/gtk-3.0/3.0.0/immodules.cache"
+
+               if [[ -e ${EROOT}${cache} ]]; then
+                       cp "${EROOT}"${cache} "${ED}"/${cache} || die
+               else
+                       touch "${ED}"/${cache} || die
+               fi
+       }
+       multilib_parallel_foreach_abi multilib_pkg_preinst
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+
+       multilib_pkg_postinst() {
+               gnome2_query_immodules_gtk3 \
+                       || die "Update immodules cache failed (for ${ABI})"
+       }
+       multilib_parallel_foreach_abi multilib_pkg_postinst
+
+       if ! has_version "app-text/evince"; then
+               elog "Please install app-text/evince for print preview 
functionality."
+               elog "Alternatively, check \"gtk-print-preview-command\" 
documentation and"
+               elog "add it to your settings.ini file."
+       fi
+}
+
+pkg_postrm() {
+       gnome2_pkg_postrm
+
+       if [[ -z ${REPLACED_BY_VERSION} ]]; then
+               multilib_pkg_postrm() {
+                       rm -f 
"${EROOT}"usr/$(get_libdir)/gtk-3.0/3.0.0/immodules.cache
+               }
+               multilib_foreach_abi multilib_pkg_postrm
+       fi
+}

Reply via email to